# User.dataset

### Use&#x72;**.**<mark style="color:purple;">**dataset**</mark>**(*****dataset\_name**, \*, version="current"***)** → [Dataset](/api/client-libraries/redivis-python/reference/dataset.md)

Construct a new dataset instance that references a dataset owned by a user.

### **Parameters:**

**`dataset_name` :&#x20;*****str*** \
The name of the dataset, unique to the user. The name is case-insensitive, and can optionally be escaped following general [name escaping rules](/api/referencing-resources.md#escaping-names). E.g., `"GHCN Daily Weather Data"` -> `"ghcn_daily_weather_data"`.

**`version` :&#x20;*****str, default "current"***\
The version of the dataset, defaulting to the current version. Can either be "current", "next", or of the form "v1.0". If a dataset has never been released, the current version will be the same as the next version. If "next" is specified, but the dataset doesn't have a pending version, subsequent calls (e.g., `dataset.get()` will throw a Not Found error).

### **Returns:**

[**Dataset**](/api/client-libraries/redivis-python/reference/dataset.md)

### Examples

```python
user = redivis.user("imathews")
dataset = user.dataset("us_political_boundaries")

dataset.get()
print(dataset.properties) # Properties will be fully populated after calling .get()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/user/user.dataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
